=== tests/CMakeLists.txt ===
if (INTEGRATION_TESTS)
  ADD_SUBDIRECTORY(integration_tests)
endif (INTEGRATION_TESTS)

if (FUNCTIONAL_TESTS)
  ADD_SUBDIRECTORY(functional_tests)
endif (FUNCTIONAL_TESTS)
