=== thirdparty/CMakeLists.txt ===
ADD_SUBDIRECTORY(kissreads)
# Script install
#install(PROGRAMS timeout.sh DESTINATION bin)
# Script in build directory 
#add_custom_target(timeout.sh ALL
#  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/timeout.sh ${CMAKE_BINARY_DIR}/bin/timeout.sh)
