=== thirdparty/kissreads/src/CMakeLists.txt ===
INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/thirdparty/kissreads/include)

ADD_EXECUTABLE(ks_kissreadsSNPS commons.c extension_algorithm.c interface_libchash.c libchash.c outputs.c coherent_algorithm.c couple.c fragment_index.c kissReads.c list.c tree.c)
set_target_properties(ks_kissreadsSNPS PROPERTIES COMPILE_FLAGS "-DCLASSICAL_SPANNING")


ADD_EXECUTABLE(ks_kissreadsSplice commons.c extension_algorithm.c interface_libchash.c libchash.c outputs.c coherent_algorithm.c couple.c fragment_index.c kissReads.c list.c tree.c)
set_target_properties(ks_kissreadsSplice PROPERTIES COMPILE_FLAGS "-DCLASSICAL_SPANNING -DINPUT_FROM_KISSPLICE")
IF(UNIX)
  TARGET_LINK_LIBRARIES(ks_kissreadsSNPS m)
  TARGET_LINK_LIBRARIES(ks_kissreadsSplice m)
ENDIF(UNIX)
TARGET_LINK_LIBRARIES(ks_kissreadsSNPS z)
TARGET_LINK_LIBRARIES(ks_kissreadsSplice z)

install(TARGETS ks_kissreadsSNPS DESTINATION lib/kissplice)
install(TARGETS ks_kissreadsSplice DESTINATION lib/kissplice)
