=== debian/changelog ===
kissplice (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 31 Jan 2014 18:13:40 +0100

kissplice (1.8.3-1) unstable; urgency=low

  * Initial debian release (Closes: #711946)
  
 -- David Parsons <david.parsons@inria.fr>  Wed, 05 Jun 2013 12:00:35 +0200
