=== debian/watch ===
version=3
http://kissplice.prabi.fr/download/index.php https://gforge.inria.fr/frs/download.php/.*/kissplice-(.*)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)
