## kissplice 2.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -47,22 +47,13 @@
   set(KMERS_OVER_32 ON CACHE BOOL KMERS_OVER_32_HELP_STRING)
 ENDIF ()
 
+
 # ============================================================================
 # Tell cmake which directory to put executables files in
 # ============================================================================
 SET(MAIN_BIN_DIR ${PROJECT_BINARY_DIR}/bin)           # Main program
 SET(SEC_BIN_DIR ${PROJECT_BINARY_DIR}/lib/kissplice)  # Other executables
 SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SEC_BIN_DIR})
-
-
-# ============================================================================
-# Tell cmake about subdirectories to look into
-# ============================================================================
-ADD_SUBDIRECTORY(debruijn-v4)
-ADD_SUBDIRECTORY(thirdparty)
-ADD_SUBDIRECTORY(modules)
-ADD_SUBDIRECTORY(man)
-ADD_SUBDIRECTORY(doc)
 
 
 # ============================================================================
@@ -79,11 +70,21 @@
 
 
 # ============================================================================
+# Tell cmake about subdirectories to look into
+# ============================================================================
+ADD_SUBDIRECTORY(debruijn-v4)
+ADD_SUBDIRECTORY(thirdparty)
+ADD_SUBDIRECTORY(modules)
+ADD_SUBDIRECTORY(man)
+ADD_SUBDIRECTORY(doc)
+
+
+# ============================================================================
 # Add testing capabilities 
 # ============================================================================
-
 ENABLE_TESTING()
 ADD_SUBDIRECTORY(tests)
+
 
 # ============================================================================
 # Adds the 'dist' target (that will use cpack)
@@ -117,8 +118,8 @@
 SET(CPACK_PACKAGE_NAME "kissplice")
 SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "1")
-SET(CPACK_PACKAGE_VERSION_PATCH "0")
+SET(CPACK_PACKAGE_VERSION_MINOR "2")
+SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
@@ -159,6 +160,8 @@
  "scripts"
  "skeletons"
  "doc/dev"
+ "alt_splicing_sample_ex.png"
+ "quantifModel-big.png"
  "resType0.png"
  "resType1.png"
  "quantifModel.png"
@@ -168,8 +171,6 @@
  "user_guide.log"
  "user_guide.toc"
  "user_guide.tex"
- "integration_tests"
- "functional_tests"
  "jobim13"
  ${CPACK_SOURCE_IGNORE_FILES}
 )
