=== debruijn-v4/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
 endif (KMERS_OVER_32)
 INCLUDE_DIRECTORIES( ${CMAKE_CURRENT_SOURCE_DIR} )
 
+include_directories(${ZLIB_INCLUDE_DIRS})
+
 ADD_EXECUTABLE(ks_debruijn4 main.cpp minia/Pool.cpp minia/Bank.cpp minia/Bloom.cpp minia/Hash16.cpp minia/Kmer.cpp minia/Set.cpp minia/Utils.cpp minia/SortingCount.cpp minia/LinearCounter.cpp minia/Debloom.cpp minia/Traversal.cpp minia/Terminator.cpp minia/OAHash.cpp minia/GraphOutput.cpp minia/Bank.h minia/Debloom.h minia/Hash16.h minia/LinearCounter.h minia/Pool.h minia/SortingCount.h minia/Traversal.h minia/lut.h minia/Bloom.h minia/GraphOutput.h minia/Kmer.h minia/OAHash.h minia/Set.h minia/Terminator.h minia/Utils.h)
-TARGET_LINK_LIBRARIES(ks_debruijn4 z)
+INCLUDE_DIRECTORIES( ${ZLIB_INCLUDE_DIR} )
+TARGET_LINK_LIBRARIES(ks_debruijn4 ${ZLIB_LIBRARY})
 install(TARGETS ks_debruijn4 DESTINATION lib/kissplice)
