=== thirdparty/kissreads/src/CMakeLists.txt ===
--- 
+++ 
@@ -10,8 +10,9 @@
   TARGET_LINK_LIBRARIES(ks_kissreadsSNPS m)
   TARGET_LINK_LIBRARIES(ks_kissreadsSplice m)
 ENDIF(UNIX)
-TARGET_LINK_LIBRARIES(ks_kissreadsSNPS z)
-TARGET_LINK_LIBRARIES(ks_kissreadsSplice z)
+INCLUDE_DIRECTORIES( ${ZLIB_INCLUDE_DIR} )
+TARGET_LINK_LIBRARIES(ks_kissreadsSNPS  ${ZLIB_LIBRARY})
+TARGET_LINK_LIBRARIES(ks_kissreadsSplice  ${ZLIB_LIBRARY})
 
 install(TARGETS ks_kissreadsSNPS DESTINATION lib/kissplice)
 install(TARGETS ks_kissreadsSplice DESTINATION lib/kissplice)
