=== debian/changelog ===
kissplice (2.2.1-3) unstable; urgency=medium

  * Architecture attribute in a single line
    Closes: #780473

 -- Andreas Tille <tille@debian.org>  Sat, 14 Mar 2015 22:37:41 +0100

kissplice (2.2.1-2) unstable; urgency=medium

  [ David Parsons ]
  * Restrict architectures to 64Bit only

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Fri, 10 Oct 2014 11:03:43 +0200

kissplice (2.2.1-1) unstable; urgency=medium

  * New upstream version
  * Fix watch

 -- David Parsons <david.parsons@inria.fr>  Tue, 26 Aug 2014 14:53:50 +0200
