=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
                python,
                python3,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/kissplice/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/kissplice/trunk/
 Homepage: http://kissplice.prabi.fr/
 
 Package: kissplice
-Architecture: any
+Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
