## kissplice 2.3.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,6 +8,12 @@
 # Set project name and languages
 # ============================================================================
 PROJECT(kissplice CXX C)
+
+
+# ============================================================================
+# Get GNU standard installation directories (GNUInstallDirs module)
+# ============================================================================
+INCLUDE(GNUInstallDirs)
 
 
 # ============================================================================
@@ -16,14 +22,17 @@
 IF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
     SET(CMAKE_BUILD_TYPE Distribution)
 ENDIF(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
-SET(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")
+
+
+SET(CMAKE_CXX_FLAGS_DEBUG "-g -Wall")	      
 SET(CMAKE_C_FLAGS_DEBUG "-g -Wall")
 SET(CMAKE_CXX_FLAGS_RELEASE "-O3 -Wall")
 SET(CMAKE_C_FLAGS_RELEASE "-O3 -Wall")
 SET(CMAKE_CXX_FLAGS_DISTRIBUTION "-O3 -w")
 SET(CMAKE_C_FLAGS_DISTRIBUTION "-O3 -w")
-SET(CMAKE_CXX_FLAGS_PROFILING "-g -pg")
+SET(CMAKE_CXX_FLAGS_PROFILING "-g -pg") 
 SET(CMAKE_C_FLAGS_PROFILING "-g -pg")
+
 
 
 # ============================================================================
@@ -49,18 +58,39 @@
 
 
 # ============================================================================
-# Tell cmake which directory to put executables files in
-# ============================================================================
-SET(MAIN_BIN_DIR ${PROJECT_BINARY_DIR}/bin)           # Main program
-SET(SEC_BIN_DIR ${PROJECT_BINARY_DIR}/lib/kissplice)  # Other executables
+# Tell cmake where to put binary files.
+# By GNU standards "executable programs that users can run" should go in
+# bindir a.k.a ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_BINDIR}
+# and "executable programs to be run by other programs rather than by users"
+# in libexecdir a.k.a ${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}
+#
+# The main script of kissplice (kissplice.py) must be configured to find the
+# secondary binaries. These can be found either in libexecdir (after install)
+# or in the build-tree, we hence need 2 versions of kissplice: one that uses
+# those secondary binaries in the build-tree and one that is installable.
+# The latter will be placed in an ad-hoc directory called "install" in the
+# build-tree
+#
+# Since all the files to be *compiled* belong to libexecdir, we can set
+# ${CMAKE_RUNTIME_OUTPUT_DIRECTORY} once and for all her
+# ============================================================================
+# Set main binary dir
+SET(MAIN_BIN_DIR ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_BINDIR})
+# Set the location of other executables
+SET(SEC_BIN_DIR ${PROJECT_BINARY_DIR}/${CMAKE_INSTALL_LIBEXECDIR}/kissplice)
+
+# Tell cmake where to put compiled files
 SET(CMAKE_RUNTIME_OUTPUT_DIRECTORY ${SEC_BIN_DIR})
 
-
-# ============================================================================
-# Tell cmake to copy the kissplice main (python) file to bin dir
-# ============================================================================
-add_custom_target(kissplice ALL
-COMMAND ${CMAKE_COMMAND} -E copy ${PROJECT_SOURCE_DIR}/kissplice.py ${MAIN_BIN_DIR}/kissplice)
+# Make a configured copy of kissplice main (python) file
+# KS_SEC_EXEC_PATH must be a relative path to support local installations using
+# make install DESTDIR=/some/path
+set(KS_SEC_EXEC_PATH ${CMAKE_INSTALL_LIBEXECDIR}/kissplice)
+configure_file(${PROJECT_SOURCE_DIR}/kissplice.py ${MAIN_BIN_DIR}/kissplice @ONLY)
+
+# Tell cmake where to install the main script (kissplice)
+install(PROGRAMS ${MAIN_BIN_DIR}/kissplice
+        DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
 
 
 # ============================================================================
@@ -80,7 +110,7 @@
 
 
 # ============================================================================
-# Add testing capabilities 
+# Add testing capabilities
 # ============================================================================
 ENABLE_TESTING()
 ADD_SUBDIRECTORY(tests)
@@ -90,12 +120,6 @@
 # Adds the 'dist' target (that will use cpack)
 # ============================================================================
 add_custom_target(dist COMMAND ${CMAKE_BUILD_TOOL} package_source)
-
-
-# ============================================================================
-# Specify rules to run at install time
-# ============================================================================
-install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bin/kissplice DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 
 
 # ============================================================================
@@ -118,7 +142,7 @@
 SET(CPACK_PACKAGE_NAME "kissplice")
 SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "2")
+SET(CPACK_PACKAGE_VERSION_MINOR "3")
 SET(CPACK_PACKAGE_VERSION_PATCH "1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
@@ -166,8 +190,8 @@
  "resType1.png"
  "quantifModel.png"
  "ucsc.png"
- "user_guide.aux"  
- "user_guide.bib"  
+ "user_guide.aux"
+ "user_guide.bib"
  "user_guide.log"
  "user_guide.toc"
  "user_guide.tex"
