=== debian/changelog ===
kissplice (2.3.1-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:17:31 +0000

kissplice (2.3.1-1) unstable; urgency=medium

  * New upstream version
  * Force installation of secondary binaries in lib rather than libexec

 -- David Parsons <david.parsons@inria.fr>  Wed, 22 Apr 2015 16:26:53 +0200
