=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: kissplice
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: David Parsons <david.parsons@inria.fr>,
            Andreas Tille <tille@debian.org>
 Section: science
