=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,8 @@
 %:
 	dh $@ --with python3 --with python2
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/
+
 override_dh_compress:
 	dh_compress --exclude=.pdf
