## kissplice 2.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # ============================================================================
 # Require minimal version of cmake
 # ============================================================================
-CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)
+CMAKE_MINIMUM_REQUIRED(VERSION 2.8.5)
 
 
 # ============================================================================
@@ -142,8 +142,8 @@
 SET(CPACK_PACKAGE_NAME "kissplice")
 SET(CPACK_PACKAGE_VENDOR "Kissplice Development Team")
 SET(CPACK_PACKAGE_VERSION_MAJOR "2")
-SET(CPACK_PACKAGE_VERSION_MINOR "3")
-SET(CPACK_PACKAGE_VERSION_PATCH "1")
+SET(CPACK_PACKAGE_VERSION_MINOR "4")
+SET(CPACK_PACKAGE_VERSION_PATCH "0-p1")
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Splicing events caller")
 SET(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
 SET(CPACK_RESOURCE_FILE_AUTHORS "${CMAKE_SOURCE_DIR}/AUTHORS")
@@ -160,6 +160,8 @@
  "_CPack_Packages"
  "CMakeCache.txt"
  ".*\\\\.svn"
+ ".*\\\\.idea"
+ ".*\\\\.DS_Store"
  ".*\\\\.gz"
  ".*\\\\~"
  ".*\\\\.o"
