## kissplice 2.4.0-p1

=== debian/changelog ===
kissplice (2.4.0-p1-5ubuntu1) focal; urgency=medium

  * Build-depend on python-all-dev.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Mar 2020 15:03:42 +0100

kissplice (2.4.0-p1-5build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:34:53 +0000

kissplice (2.4.0-p1-5) unstable; urgency=medium

  * Team upload.

  [ Saira Hussain ]
  * Add autopkgtest

  [ Andreas Tille ]
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Saira Hussain <saira.h0213@zoho.com>  Mon, 12 Aug 2019 12:07:18 +0100

kissplice (2.4.0-p1-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Tue, 08 Jan 2019 12:48:29 +0100

kissplice (2.4.0-p1-3) unstable; urgency=medium

  * Add dh-python to Build-Depends since this will be dropped from
    python-dev's Depends soon
  * Standards-Version: 4.1.3
  * debhelper 11
  * do not parse d/changelog
  * d/watch: Checked that https does not work

 -- Andreas Tille <tille@debian.org>  Mon, 26 Mar 2018 17:15:22 +0200

kissplice (2.4.0-p1-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - yamllint cleanliness
    - Added references to registries
  * debian/copyright: corrected Upstream-Name spelling

  [ Andreas Tille ]
  * Moved packaging from SVN to Git
  * debhelper 10
  * Standards-Version: 4.1.1

 -- Andreas Tille <tille@debian.org>  Wed, 15 Nov 2017 14:19:37 +0100

kissplice (2.4.0-p1-1) unstable; urgency=medium

  [ David Parsons ]
  * New upstream version

  [ Steffen Moeller ]
  * Introduced EDAM ontology description to debian/upstream/edam.

  [ Andreas Tille ]
  * hardening=+all
  * kissplice is Python but not Python3
  * make proper use of dh_python
  * cme fix dpkg-control

 -- David Parsons <david.parsons@inria.fr>  Thu, 01 Sep 2016 13:30:59 +0200
