=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: kissplice
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: David Parsons <david.parsons@inria.fr>,
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.0),
+Build-Depends: debhelper-compat (= 12),
+               dh-python,
                cmake,
-               python,
-               python3,
+               python-all-dev,
                zlib1g-dev
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/kissplice/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/kissplice/trunk/
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/kissplice
+Vcs-Git: https://salsa.debian.org/med-team/kissplice.git
 Homepage: http://kissplice.prabi.fr/
 
 Package: kissplice
